# RRDUpdater::update

(PECL rrd >= 0.9.0)

RRDUpdater::update — Actualiza el archivo de base de datos RRD

### Descripción

public RRDUpdater::update(array `$values`, string `$time` = time() ): bool

Actualiza el archivo RRD definido a través de RRDUpdater::__construct(). El archivo se actualiza con un valor específico.

### Parámetros

`values`

  Los datos de actualización. Key del array es el nombre del origen de datos.

`time`

  Valor del tiempo para la actualización del RRD con unos datos particulares. El valor predeterminado es la hora actual.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Errores/Excepciones

Throws a Exception on error.

### Ejemplos

Ejemplo #1 Ejemplos de RRDUpdater::update()

`<?php
$updator = new RRDUpdater("speed.rrd");
//actualiza el dato de origen "speed" con el valor "12411"
//para un tiempo definido por timestamp "920807700"
$updator->update(array("speed" => "12411"), "920807700");
?>`